package com.ym.mec.biz.dal.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TempUserTrainingTimeDetailVo implements Serializable {

    @ApiModelProperty(value = "用户id")
    private Integer userId;

    @DateTimeFormat(pattern = "yyyy-MM-dd", iso = DateTimeFormat.ISO.DATE)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "训练日期")
    private Date trainingDate;

    @ApiModelProperty(value = "训练时长/秒-保留2位")
    private BigDecimal playTime;

    @ApiModelProperty(value = "是否完成训练  0-未完成 1-已完成")
    private Integer isFinish;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getTrainingDate() {
        return trainingDate;
    }

    public void setTrainingDate(Date trainingDate) {
        this.trainingDate = trainingDate;
    }

    public BigDecimal getPlayTime() {
        return playTime;
    }

    public void setPlayTime(BigDecimal playTime) {
        this.playTime = playTime;
    }

    public Integer getIsFinish() {
        return isFinish;
    }

    public void setIsFinish(Integer isFinish) {
        this.isFinish = isFinish;
    }
}
